
@keyframes fade-in {
    to {
        opacity: var(--opacity, 1);
    }
}

@keyframes fade-out {
    0% {
        opacity: 1; /* Comienza invisible */
    }
    20% {
        opacity: 1; /* Totalmente visible a la mitad */
    }
    60% {
        opacity: 1; /* Totalmente visible a la mitad */
    }
    100% {
        opacity: 0; /* Vuelve a desaparecer */
    }
}

@keyframes fade-out-principal {
    0% {
        opacity: 1; /* Comienza invisible */
    }
    40% {
        opacity: 1; /* Totalmente visible a la mitad */
    }
    100% {
        opacity: 0; /* Vuelve a desaparecer */
    }
}

@keyframes fade-in-out {
    0% {
        opacity: 0; /* Comienza invisible */
    }
    20% {
        opacity: 1; /* Totalmente visible a la mitad */
    }.intro-text
    70% {
        opacity: 1; /* Totalmente visible a la mitad */
    }
    100% {
        opacity: 0; /* Vuelve a desaparecer */
    }
}

@keyframes fade-in-out-text {
    0% {
        opacity: 0; /* Comienza invisible */
    }
    20% {
        opacity: 1; /* Totalmente visible a la mitad */
    }
    70% {
        opacity: 1; /* Totalmente visible a la mitad */
    }
    100% {
        opacity: 0; /* Vuelve a desaparecer */
    }
}

@keyframes fade-in-out-work {
    0% {
        opacity: 0; /* Comienza invisible */
    }
    10% {
        opacity: 1; /* Totalmente visible a la mitad */
    }
    100% {
        opacity: 0; /* Vuelve a desaparecer */
    }
}


/* DESKTOP */


.main-article {
    font-size: clamp(1rem, 3vw + 1rem, 2rem);
    font-weight: 600;
    color: transparent;
    opacity: 1;

}



.intro-text {
    font-size: clamp(1rem, 3vw + 1rem, 2rem);
    font-weight: 600;
    background-position: 50% 0;
    color: transparent;
}


.about-content {
    color: transparent;
    opacity: 0;

}

.text-content--container .questions {
    font-size: clamp(1.4rem, 7vw, 3.25rem);
    font-weight: 600;
    background-position: 50% 0;
    color: transparent;
    opacity: 0;
}



.text-content--container{
    padding: 0 40px;
    gap: 40px;
    max-width: 85rem;
    margin: auto;
    position: -webkit-sticky;
    position: sticky;
    top: 25%;
    background: transparent;
    -webkit-transition: opacity 0.6s ease-out, filter 0.6s ease-out;
    transition: opacity 0.6s ease-out, filter 0.6s ease-out;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.text-content {
    font-size: clamp(1rem, 3vw + 1rem, 2rem);
    font-weight: 600;
    background-position: 50% 0;
    color: transparent;
    opacity: 0;
  
}


.text-content-section:nth-child(2) .text-content--container .text-content{
    font-size: clamp(1rem, 3vw + 1rem, 3rem);
    font-weight: 600;
    background-position: 50% 0;
    color: transparent;
    opacity: 1;
   
}

.text-content-section {
    position: relative;
}



.text-content {
    z-index: 2; 
} 

.about-content, .questions {
    z-index: 1; 
}

/* Clase para elevar z-index */
.animate-on-top {
    z-index: 10; /* Elevar al frente */
}

.animate-on-scroll {
    opacity: 0;
    transform: translateY(20px);
    transition: opacity 0.6s ease-out, transform 0.6s ease-out;
    -webkit-transition: opacity 0.6s ease-out, transform 0.6s ease-out;
}

.animate-on-scroll.visible {
    opacity: 1;
    transform: translateY(0);
}

.animate-on-scroll-new {
    opacity: 0;
    transform: translateY(20px);
    transition: opacity 0.6s ease-out, transform 0.6s ease-out;
    -webkit-transition: opacity 0.6s ease-out, transform 0.6s ease-out; /* Prefijo para Safari */
}

.animate-on-scroll-new.visible {
    opacity: 1;
    transform: translateY(0);
}
